From 26e89066afd1470783945853b957f5c6a0ce8691 Mon Sep 17 00:00:00 2001
From: Adam Wujek <adam.wujek@cern.ch>
Date: Wed, 5 Jun 2019 11:45:05 +0200
Subject: [PATCH] util-linux: remove not needed patches

Signed-off-by: Adam Wujek <adam.wujek@cern.ch>
---
 ...ipw-Remove-pre-ANSI-compiler-support.patch | 35 ------------
 .../0005-build-sys-use-REALTIME_LIBS.patch    | 41 --------------
 ...ix-static-configuration-and-building.patch | 54 -------------------
 .../util-linux/0007-build-sys-fix-typo.patch  | 34 ------------
 4 files changed, 164 deletions(-)
 delete mode 100644 package/util-linux/0004-vipw-Remove-pre-ANSI-compiler-support.patch
 delete mode 100644 package/util-linux/0005-build-sys-use-REALTIME_LIBS.patch
 delete mode 100644 package/util-linux/0006-buildsys-fix-static-configuration-and-building.patch
 delete mode 100644 package/util-linux/0007-build-sys-fix-typo.patch

diff --git a/package/util-linux/0004-vipw-Remove-pre-ANSI-compiler-support.patch b/package/util-linux/0004-vipw-Remove-pre-ANSI-compiler-support.patch
deleted file mode 100644
index 3a0c42a..0000000
--- a/package/util-linux/0004-vipw-Remove-pre-ANSI-compiler-support.patch
+++ /dev/null
@@ -1,35 +0,0 @@
-From 9ce534491aea9b7975cfee5064423d0b850d8002 Mon Sep 17 00:00:00 2001
-From: Romain Naour <romain.naour@openwide.fr>
-Date: Sun, 9 Aug 2015 11:20:00 +0200
-Subject: [PATCH] vipw: Remove pre-ANSI compiler support
-
-__P() is used for compatibility with old K&R C compilers. With
-ANSI C this macro has no effect.
-
-This fixes a compilation error with musl libc because of undeclared
-__P.
-
-Ref:
-https://lists.samba.org/archive/samba-technical/2015-June/108042.html
-
-Signed-off-by: Romain Naour <romain.naour@openwide.fr>
----
- login-utils/vipw.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/login-utils/vipw.c b/login-utils/vipw.c
-index 668f4d8..e4c803b 100644
---- a/login-utils/vipw.c
-+++ b/login-utils/vipw.c
-@@ -85,7 +85,7 @@ int program;
- char orig_file[FILENAMELEN];	/* original file /etc/passwd or /etc/group */
- char *tmp_file;			/* tmp file */
- 
--void pw_error __P((char *, int, int));
-+void pw_error (char *, int, int);
- 
- static void copyfile(int from, int to)
- {
--- 
-2.4.3
-
diff --git a/package/util-linux/0005-build-sys-use-REALTIME_LIBS.patch b/package/util-linux/0005-build-sys-use-REALTIME_LIBS.patch
deleted file mode 100644
index 6402ef5..0000000
--- a/package/util-linux/0005-build-sys-use-REALTIME_LIBS.patch
+++ /dev/null
@@ -1,41 +0,0 @@
-From 9ed54668c15534a3b9d75e8a3e90b72ea426e596 Mon Sep 17 00:00:00 2001
-From: Karel Zak <kzak@redhat.com>
-Date: Fri, 9 Oct 2015 11:31:49 +0200
-Subject: [PATCH] build-sys: use REALTIME_LIBS
-
-Signed-off-by: Karel Zak <kzak@redhat.com>
----
- misc-utils/Makemodule.am | 2 +-
- sys-utils/Makemodule.am  | 2 +-
- 2 files changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/misc-utils/Makemodule.am b/misc-utils/Makemodule.am
-index e801611..b96d18b 100644
---- a/misc-utils/Makemodule.am
-+++ b/misc-utils/Makemodule.am
-@@ -90,7 +90,7 @@ endif
- if BUILD_UUIDD
- usrsbin_exec_PROGRAMS += uuidd
- dist_man_MANS += misc-utils/uuidd.8
--uuidd_LDADD = $(LDADD) libuuid.la libcommon.la
-+uuidd_LDADD = $(LDADD) libuuid.la libcommon.la $(REALTIME_LIBS)
- uuidd_CFLAGS = $(DAEMON_CFLAGS) $(AM_CFLAGS) -I$(ul_libuuid_incdir)
- uuidd_LDFLAGS = $(DAEMON_LDFLAGS) $(AM_LDFLAGS)
- uuidd_SOURCES = misc-utils/uuidd.c
-
-diff --git a/sys-utils/Makemodule.am b/sys-utils/Makemodule.am
-index f306e65..3d28ff1 100644
---- a/sys-utils/Makemodule.am
-+++ b/sys-utils/Makemodule.am
-@@ -2,7 +2,7 @@ if BUILD_FLOCK
- usrbin_exec_PROGRAMS += flock
- dist_man_MANS += sys-utils/flock.1
- flock_SOURCES = sys-utils/flock.c lib/monotonic.c lib/timer.c
--flock_LDADD = $(LDADD) libcommon.la -lrt
-+flock_LDADD = $(LDADD) libcommon.la $(REALTIME_LIBS)
- endif
-
- if BUILD_IPCMK
--- 
-2.5.0
-
diff --git a/package/util-linux/0006-buildsys-fix-static-configuration-and-building.patch b/package/util-linux/0006-buildsys-fix-static-configuration-and-building.patch
deleted file mode 100644
index cd5654e..0000000
--- a/package/util-linux/0006-buildsys-fix-static-configuration-and-building.patch
+++ /dev/null
@@ -1,54 +0,0 @@
-From f69e18629d1c91d83ab91314baf5e34088b57f6e Mon Sep 17 00:00:00 2001
-From: Lada Trimasova <ltrimas@synopsys.com>
-Date: Wed, 27 Jan 2016 16:26:41 +0300
-Subject: [PATCH] buildsys: fix static configuration and building
-
-In case of uClibc librt depends on libpthread. In particular
-timer_create() function uses pthread_XXX(). That means in case
-of static builds it's required to link not librt alone but
-together with libpthread. So if checking timer_create function
-in librt fails, it is necessary to check if timer_create function
-successfully links with "-lpthread".
-
-That issues was spotted in Buldroot autobuilder failures:
-http://autobuild.buildroot.net/results/759/75960db671807091fe9155aee9e46a6245e32590/
-http://autobuild.buildroot.org/results/112/112e8b85783f5aaba42a937a6eb064317615a21b/
-
-Signed-off-by: Lada Trimasova <ltrimas@synopsys.com>
----
- configure.ac | 13 +++++++++++--
- 1 file changed, 11 insertions(+), 2 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index 56512c0..9392bf2 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -382,14 +382,23 @@ AC_CHECK_FUNCS([clock_gettime], [],
- AC_SUBST([REALTIME_LIBS])
- 
- have_timer="no"
--AC_CHECK_FUNCS([timer_createx],
-+AC_CHECK_FUNCS([timer_create],
- 	[have_time="yes"],
- 	[AC_CHECK_LIB([rt], [timer_create], [
- 		have_timer="yes"
- 		REALTIME_LIBS="-lrt"
--	])]
-+	],[
-+		AC_SEARCH_LIBS([timer_create], [rt], [
-+			AC_MSG_RESULT(yes)
-+			have_timer="yes"
-+			REALTIME_LIBS="-lrt -lpthread"
-+		],[], [-lpthread]
-+		)
-+		])]
- )
- 
-+AC_SUBST([REALTIME_LIBS])
-+
- 
- AC_CHECK_MEMBER([struct sockaddr.sa_len],
- 		AC_DEFINE_UNQUOTED([HAVE_SA_LEN], [1], [Define if struct sockaddr contains sa_len]), [],
--- 
-2.5.0
-
diff --git a/package/util-linux/0007-build-sys-fix-typo.patch b/package/util-linux/0007-build-sys-fix-typo.patch
deleted file mode 100644
index 204c3d8..0000000
--- a/package/util-linux/0007-build-sys-fix-typo.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-From dea1bd2917ed9490ee96162288e0904e3de9da2d Mon Sep 17 00:00:00 2001
-From: Romain Naour <romain.naour@gmail.com>
-Date: Tue, 16 Feb 2016 00:24:30 +0100
-Subject: [PATCH] build-sys: fix typo
-
-When timer_create is available have_timer must be
-set to "yes". But instead have_time is used.
-
-Replace have_time by have_timer.
-
-Fixes:
-http://autobuild.buildroot.net/results/993/9935cd0522d4f978ba2e788a690f66790686b76b
-
-Signed-off-by: Romain Naour <romain.naour@gmail.com>
----
- configure.ac | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/configure.ac b/configure.ac
-index 4559573..3950f0c 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -390,7 +390,7 @@ AC_CHECK_FUNCS([clock_gettime], [],
- 
- have_timer="no"
- AC_CHECK_FUNCS([timer_create],
--	[have_time="yes"],
-+	[have_timer="yes"],
- 	[AC_CHECK_LIB([rt], [timer_create], [
- 		have_timer="yes"
- 		REALTIME_LIBS="-lrt"
--- 
-2.5.0
-
-- 
2.17.1

